org.jbpm.process.audit

## Class NodeInstanceLog

- java.lang.Object
- - org.jbpm.process.audit.NodeInstanceLog

- All Implemented Interfaces:
    Serializable, AuditEvent, org.kie.api.runtime.manager.audit.NodeInstanceLog

      @Entity
      public class NodeInstanceLog
      extends Object
      implements Serializable, AuditEvent, org.kie.api.runtime.manager.audit.NodeInstanceLog

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.kie.api.runtime.manager.audit.NodeInstanceLog

      `TYPE_ENTER, TYPE_EXIT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeInstanceLog()`
    `NodeInstanceLog(int type, long processInstanceId, String processId, String nodeInstanceId, String nodeId, String nodeName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getConnection()`
    `Date` | `getDate()`
    `String` | `getExternalId()`
    `long` | `getId()`
    `String` | `getNodeId()`
    `String` | `getNodeInstanceId()`
    `String` | `getNodeName()`
    `String` | `getNodeType()`
    `String` | `getProcessId()`
    `Long` | `getProcessInstanceId()`
    `Integer` | `getType()`
    `Long` | `getWorkItemId()`
    `int` | `hashCode()`
    `void` | `setConnection(String connection)`
    `void` | `setDate(Date date)`
    `void` | `setExternalId(String domainId)`
    `void` | `setNodeId(String nodeId)`
    `void` | `setNodeInstanceId(String nodeInstanceId)`
    `void` | `setNodeName(String nodeName)`
    `void` | `setNodeType(String nodeType)`
    `void` | `setProcessId(String processId)`
    `void` | `setProcessInstanceId(long processInstanceId)`
    `void` | `setType(int type)`
    `void` | `setWorkItemId(Long workItemId)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeInstanceLog

          public NodeInstanceLog()

    - #### NodeInstanceLog

          public NodeInstanceLog(int type,
                         long processInstanceId,
                         String processId,
                         String nodeInstanceId,
                         String nodeId,
                         String nodeName)

  - ### Method Detail

    - #### getType

          public Integer getType()

      Specified by:
        `getType` in interface `org.kie.api.runtime.manager.audit.NodeInstanceLog`

    - #### setType

          public void setType(int type)

    - #### getId

          public long getId()

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

      Specified by:
        `getProcessInstanceId` in interface `AuditEvent`
      Specified by:
        `getProcessInstanceId` in interface `org.kie.api.runtime.manager.audit.NodeInstanceLog`

    - #### setProcessInstanceId

          public void setProcessInstanceId(long processInstanceId)

    - #### getProcessId

          public String getProcessId()

      Specified by:
        `getProcessId` in interface `AuditEvent`
      Specified by:
        `getProcessId` in interface `org.kie.api.runtime.manager.audit.NodeInstanceLog`

    - #### setProcessId

          public void setProcessId(String processId)

    - #### getNodeInstanceId

          public String getNodeInstanceId()

      Specified by:
        `getNodeInstanceId` in interface `org.kie.api.runtime.manager.audit.NodeInstanceLog`

    - #### setNodeInstanceId

          public void setNodeInstanceId(String nodeInstanceId)

    - #### getNodeId

          public String getNodeId()

      Specified by:
        `getNodeId` in interface `org.kie.api.runtime.manager.audit.NodeInstanceLog`

    - #### setNodeId

          public void setNodeId(String nodeId)

    - #### getNodeName

          public String getNodeName()

      Specified by:
        `getNodeName` in interface `org.kie.api.runtime.manager.audit.NodeInstanceLog`

    - #### setNodeName

          public void setNodeName(String nodeName)

    - #### getDate

          public Date getDate()

      Specified by:
        `getDate` in interface `org.kie.api.runtime.manager.audit.NodeInstanceLog`

    - #### setDate

          public void setDate(Date date)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### getWorkItemId

          public Long getWorkItemId()

      Specified by:
        `getWorkItemId` in interface `org.kie.api.runtime.manager.audit.NodeInstanceLog`

    - #### setWorkItemId

          public void setWorkItemId(Long workItemId)

    - #### getConnection

          public String getConnection()

      Specified by:
        `getConnection` in interface `org.kie.api.runtime.manager.audit.NodeInstanceLog`

    - #### setConnection

          public void setConnection(String connection)

    - #### getExternalId

          public String getExternalId()

      Specified by:
        `getExternalId` in interface `AuditEvent`
      Specified by:
        `getExternalId` in interface `org.kie.api.runtime.manager.audit.NodeInstanceLog`

    - #### setExternalId

          public void setExternalId(String domainId)

    - #### getNodeType

          public String getNodeType()

      Specified by:
        `getNodeType` in interface `org.kie.api.runtime.manager.audit.NodeInstanceLog`

    - #### setNodeType

          public void setNodeType(String nodeType)

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.